curl --request POST 'https://core.getfaceage.com/api/v1/business/template/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key' \
--form 'base_color="rgb(233, 150, 122)"' \
--form 'basic_action_color="#EEE"' \
--form 'submit_action_color="rgb(239, 55, 134)"' \
--form 'quiz_input_color="rgb(240, 128, 128)"' \
--form 'background_upload_color="rgb(250, 128, 114)"' \
--form 'border="40"' \
--form 'product_shadow="0"' \
--form 'product_border_width="20"' \
--form 'product_border_color="#DE3163"' \
--form 'product_padding="15"' \
--form 'product_action_color="#FFA07A"' \
--form 'product_show_type="slide"' \
--form 'position_accepted_status_color="#9FE2BF"' \
--form 'position_not_accepted_status_color="#DE3163"' \
--form 'tools_icon="https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"' \
--form 'position_show_mobile_tool_left_distance="5"' \
--form 'position_show_desktop_tool_left_distance="10"' \
--form 'position_show_mobile_tool_button_distance="15"' \
--form 'position_show_desktop_tool_button_distance="20"'
{
"status": true,
"data": {
"base_color": "rgb(233, 150, 122)",
"basic_action_color": "#EEE",
"submit_action_color": "rgb(239, 55, 134)",
"base_border_radius": "40px",
"quiz_input_color": "rgb(240, 128, 128)",
"background_upload_color": "rgb(250, 128, 114)",
"border": "40",
"position_accepted_status_color": "#9FE2BF",
"position_not_accepted_status_color": "#DE3163",
"product_shadow": "0",
"product_border_width": "20",
"product_border_color": "#DE3163",
"product_padding": "15",
"product_action_color": "#FFA07A",
"product_show_type": "slide",
"position_show_mobile_tool_left_distance": "5",
"position_show_desktop_tool_left_distance": "10",
"position_show_mobile_tool_button_distance": "15",
"position_show_desktop_tool_button_distance": "20",
"tools_icon": "https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"
}
}
{
"message": "Unauthenticated."
}
Custom template
Update template config
Create or change the UI configuration of a business’s template.
POST
/
business
/
template
/
{business_id}
curl --request POST 'https://core.getfaceage.com/api/v1/business/template/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key' \
--form 'base_color="rgb(233, 150, 122)"' \
--form 'basic_action_color="#EEE"' \
--form 'submit_action_color="rgb(239, 55, 134)"' \
--form 'quiz_input_color="rgb(240, 128, 128)"' \
--form 'background_upload_color="rgb(250, 128, 114)"' \
--form 'border="40"' \
--form 'product_shadow="0"' \
--form 'product_border_width="20"' \
--form 'product_border_color="#DE3163"' \
--form 'product_padding="15"' \
--form 'product_action_color="#FFA07A"' \
--form 'product_show_type="slide"' \
--form 'position_accepted_status_color="#9FE2BF"' \
--form 'position_not_accepted_status_color="#DE3163"' \
--form 'tools_icon="https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"' \
--form 'position_show_mobile_tool_left_distance="5"' \
--form 'position_show_desktop_tool_left_distance="10"' \
--form 'position_show_mobile_tool_button_distance="15"' \
--form 'position_show_desktop_tool_button_distance="20"'
{
"status": true,
"data": {
"base_color": "rgb(233, 150, 122)",
"basic_action_color": "#EEE",
"submit_action_color": "rgb(239, 55, 134)",
"base_border_radius": "40px",
"quiz_input_color": "rgb(240, 128, 128)",
"background_upload_color": "rgb(250, 128, 114)",
"border": "40",
"position_accepted_status_color": "#9FE2BF",
"position_not_accepted_status_color": "#DE3163",
"product_shadow": "0",
"product_border_width": "20",
"product_border_color": "#DE3163",
"product_padding": "15",
"product_action_color": "#FFA07A",
"product_show_type": "slide",
"position_show_mobile_tool_left_distance": "5",
"position_show_desktop_tool_left_distance": "10",
"position_show_mobile_tool_button_distance": "15",
"position_show_desktop_tool_button_distance": "20",
"tools_icon": "https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"
}
}
{
"message": "Unauthenticated."
}
Creates or updates the template configuration of a business. Colors accept any CSS color value, such as
#EEE or rgb(239, 55, 134).
Path parameters
integer
required
ID of the business.
Body
string
Main color of the UI.
string
Color of secondary action buttons.
string
Color of submit buttons.
string
Color of quiz inputs.
string
Background color of the upload area.
string
Border radius, in pixels.
string
Color shown when the face position is accepted.
string
Color shown when the face position is not accepted.
string
Shadow of product cards.
string
Border width of product cards, in pixels.
string
Border color of product cards.
string
Padding of product cards, in pixels.
string
Color of product action buttons.
string
How products are displayed, for example
slide.string
URL of the tools widget icon. See Upload tools icon.
string
Left offset of the tools widget on mobile, in pixels.
string
Left offset of the tools widget on desktop, in pixels.
string
Bottom offset of the tools widget on mobile, in pixels.
string
Bottom offset of the tools widget on desktop, in pixels.
Response
boolean
true when the template is saved.object
The saved template configuration.
curl --request POST 'https://core.getfaceage.com/api/v1/business/template/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key' \
--form 'base_color="rgb(233, 150, 122)"' \
--form 'basic_action_color="#EEE"' \
--form 'submit_action_color="rgb(239, 55, 134)"' \
--form 'quiz_input_color="rgb(240, 128, 128)"' \
--form 'background_upload_color="rgb(250, 128, 114)"' \
--form 'border="40"' \
--form 'product_shadow="0"' \
--form 'product_border_width="20"' \
--form 'product_border_color="#DE3163"' \
--form 'product_padding="15"' \
--form 'product_action_color="#FFA07A"' \
--form 'product_show_type="slide"' \
--form 'position_accepted_status_color="#9FE2BF"' \
--form 'position_not_accepted_status_color="#DE3163"' \
--form 'tools_icon="https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"' \
--form 'position_show_mobile_tool_left_distance="5"' \
--form 'position_show_desktop_tool_left_distance="10"' \
--form 'position_show_mobile_tool_button_distance="15"' \
--form 'position_show_desktop_tool_button_distance="20"'
{
"status": true,
"data": {
"base_color": "rgb(233, 150, 122)",
"basic_action_color": "#EEE",
"submit_action_color": "rgb(239, 55, 134)",
"base_border_radius": "40px",
"quiz_input_color": "rgb(240, 128, 128)",
"background_upload_color": "rgb(250, 128, 114)",
"border": "40",
"position_accepted_status_color": "#9FE2BF",
"position_not_accepted_status_color": "#DE3163",
"product_shadow": "0",
"product_border_width": "20",
"product_border_color": "#DE3163",
"product_padding": "15",
"product_action_color": "#FFA07A",
"product_show_type": "slide",
"position_show_mobile_tool_left_distance": "5",
"position_show_desktop_tool_left_distance": "10",
"position_show_mobile_tool_button_distance": "15",
"position_show_desktop_tool_button_distance": "20",
"tools_icon": "https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"
}
}
{
"message": "Unauthenticated."
}